curl --location --request POST 'https://api.userorbit.com/v1/public/topics.unsubscribe' \
--header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"id": "topic-uuid-123"
}'
const response = await fetch('https://api.userorbit.com/v1/public/topics.unsubscribe', {
method: 'POST',
headers: {
'Authorization': `Bearer ${subscriberToken}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({ id: topicId })
});
{
"data": {
"ok": true
}
}
Topics
Unsubscribe from Topic
Unsubscribe from notifications for a topic.
POST
/
v1
/
public
/
topics.unsubscribe
curl --location --request POST 'https://api.userorbit.com/v1/public/topics.unsubscribe' \
--header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"id": "topic-uuid-123"
}'
const response = await fetch('https://api.userorbit.com/v1/public/topics.unsubscribe', {
method: 'POST',
headers: {
'Authorization': `Bearer ${subscriberToken}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({ id: topicId })
});
{
"data": {
"ok": true
}
}
Authentication
Authorization: Bearer SUBSCRIBER_JWT_TOKEN
Request Body
string
required
Topic ID (UUID) to unsubscribe from
Response
curl --location --request POST 'https://api.userorbit.com/v1/public/topics.unsubscribe' \
--header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"id": "topic-uuid-123"
}'
const response = await fetch('https://api.userorbit.com/v1/public/topics.unsubscribe', {
method: 'POST',
headers: {
'Authorization': `Bearer ${subscriberToken}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({ id: topicId })
});
{
"data": {
"ok": true
}
}
Behavior
- Event Trigger: Fires
topic-subscribers.deleteevent - Idempotent: Safe to call even if not subscribed
Notes
- Stops all notifications for this topic
- Returns success even if subscription didn’t exist
Was this page helpful?

